<?php

namespace Modules\Accounts\Models\Traits;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Modules\Accounts\Models\AccountingPeriod;

trait HasAccountingPeriod
{
    public function accountingPeriod(): BelongsTo
    {
        return $this->belongsTo(AccountingPeriod::class, 'accounting_period_id');
    }
}

